<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddDeletedAtToLaborReportsTables extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('labor_reports', function (Blueprint $table) {
            $table->timestamp('deleted_at')->nullable()->index()->comment('临时工报表软删除');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('labor_reports', function (Blueprint $table) {
            $table->dropColumn('deleted_at');
        });
    }
}
